[Request] iPhone SDK 3.0 based Music Control?

Discussion in 'iOS Development' started by cocotutch, Mar 20, 2009.

  1. cocotutch

    cocotutch Community Development Team Staff Member

    Joined:
    Oct 6, 2008
    Messages:
    1,285
    Likes Received:
    117
    Device:
    5G iPod touch
    Hi there,

    Just saw on the Apple Developer Site, that the new 3.0 SDK allows people to crate controllers for MobileMusicPlayer.

    Could someone gimme a heads up on how to do it? I would appreciate a demo app (Skylar?

    Please Register or Log in to view images

    Please Register or Log in to view images

    Please Register or Log in to view images

    ) and Source Code.............I would of course be able to run it and use it whenever I find out how to get the new SDK.

    Thanksssssssssss
  2. SkylarEC

    SkylarEC Super Moderator Emeritus Staff Member

    Joined:
    Sep 19, 2007
    Messages:
    6,642
    Likes Received:
    129
    It is super easy to do this with 3.0. Albeit it isn't as easy as the PocketTouch framework made it, but that's because I strived to make the PocketTouch super easy for users.

    However, I can't and won't give you code for this because it is on 3.0. The API, etc, is under NDA. Which you already know because it was in the NDA you read and agreed to before Apple would let you download the SDK.


    EDIT: I made a working prototype of PocketTouch in about fifteen minutes, it's that easy. Look at the docs, you'll figure it out.
  3. cocotutch

    cocotutch Community Development Team Staff Member

    Joined:
    Oct 6, 2008
    Messages:
    1,285
    Likes Received:
    117
    Device:
    5G iPod touch
    Thanks for the heads up about the NDA

    Please Register or Log in to view images

    I never pay attention to that if I can help it..........I just wanna develop

    Please Register or Log in to view images



    I forgot to write to close this thread, since I had severe problems with my iPod (downgrading back to 2.2.1. LONG story

    Please Register or Log in to view images

    ) so I uninstalled Xcode and reinstalled iPhone SDK for 2.2.1, since my Device is no longer on 3.0........shake to shuffle was GREAT!!!!!!!!!!!

    Please Register or Log in to view images



    Thanks again,

    cocotutch
  4. gojohnnyboi

    gojohnnyboi Well-Known Member

    Joined:
    Jan 25, 2008
    Messages:
    3,339
    Likes Received:
    55
    Why would you uninstall Xcode just to go back to developing for 2.2.1? You can just set your project setting to 2.2.1.
  5. bddckr

    bddckr Active Member

    Joined:
    Dec 2, 2007
    Messages:
    1,434
    Likes Received:
    18
    Device:
    iPhone 4 (Black)
    But if you plan to publish your apps before the 3.0 betas end you have to use the 2.2.1 SDK.
  6. SkylarEC

    SkylarEC Super Moderator Emeritus Staff Member

    Joined:
    Sep 19, 2007
    Messages:
    6,642
    Likes Received:
    129
    No you don't. Just use the most recent SDK (iPhoneOS 3.0) and set the build to 2.2.1. Build for release, and send away to Apple.
  7. Steaps

    Steaps New Member

    Joined:
    Oct 24, 2007
    Messages:
    5,074
    Likes Received:
    41
    Device:
    iPod touch
    I haven't tried myself, but over at iPhoneDevSDK they were having problems building for anything but 3.0 with the 3.0 SDK. If it's true, it'd just be a bug.
  8. SkylarEC

    SkylarEC Super Moderator Emeritus Staff Member

    Joined:
    Sep 19, 2007
    Messages:
    6,642
    Likes Received:
    129
    It is not true. I am compiling for 2.2.1 just fine with the 3.0 SDK. If I isn't working for people, I'd say it is a bad case I those devs failing hardcore.
  9. bddckr

    bddckr Active Member

    Joined:
    Dec 2, 2007
    Messages:
    1,434
    Likes Received:
    18
    Device:
    iPhone 4 (Black)
    Apple says this on the iPhone Dev Center:
    So it seems like you cannot use the SDK during the beta to send your apps to Apple. But I don't see why, compiling for and testing on a 2.2.1 device works fine for me.
  10. NolesFans

    NolesFans New Member

    Joined:
    Sep 23, 2008
    Messages:
    404
    Likes Received:
    0
    Device:
    iPod touch
    Well, a few of 2.x code is getting deprecated in 3.0 SDK. You have to hunt down to find it.

Share This Page